服务器ECS 无法安装net framwork4.5-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

服务器ECS 无法安装net framwork4.5

1864265875634097 2016-10-17 07:51:00 3141

运行安装程序就报错 anerror was encounter
怎么解决呢 功能里面系统自带有3.5

弹性计算
分享到
取消 提交回答
全部回答(1)
  • 元芳啊
    2019-07-17 20:16:52

    注:采用如下操作前请您对ECS 系统盘、数据盘创建快照,以防止误操作造成数据丢失。
    问题现象
    用户在Windows 2008 R2,Windows 2012 之后的ECS上安装.net 2.0, .net 3.5 , .net 4.0遇到了失败的情况。
    可能原因
    虚拟内存未开启
    服务器Windows Update更新源问题
    程序版本兼容性问题
    解决方案
    使用微软.Net Framework清理工具
    请参考微软官方KB文档,使用该工具后重新安装测试。
    如何解決安裝 .NET Framework 更新失敗 (一點通系列)
    https://support.microsoft.com/zh-tw/kb/2514365
    配置服务器至少2G虚拟内存
    具体配置方法请参考知识点 "Windows虚拟内存不足的处理"
    http://help.aliyun.com/knowledge_detail.htm?knowledgeId=6696946
    配置Windows官方更新源
    可以尝试使用微软官方更新源,请参考如下步骤修改。
    ECS Windows 2008/2012 Windows Update 自动更新相关配置说明
    https://help.aliyun.com/knowledge_detail/6708515.html?pos=1
    将更新源设置为“未配置”,使用微软官方更新源测试。
    解决版本兼容性问题
    可以采用如下步骤删除较老版本进行测试。
    1、点击【开始】--【控制面板】--【程序和功能】。
    blob.png
    2、在程序列表中,排查是否已安装了该程序的其他版本,如果有,先进行卸载。
    blob.png

    3、使用更高版本的.NET Framework 4.5再次安装部署测试,程序安装成功。
    blob.png
    阅读须知
    本文仅供用户使用 ECS Windows 时参考,文中引用的微软官方链接,版权归属微软。请注意文章适用的操作系统范围,以及微软 Windows 产品迭代或者文档未及时更新可能带来的问题,阿里云官方不对引用的微软官方链接内容负责。
    如果您对文档内容有疑问或认为文档内容有误,请及时通过文档下方的评价板块反馈给我们,我们将酌情改进修正。
    如问题还未解决,请联系售后技术支持。

    0 0
+ 订阅

时时分享云计算技术内容,助您降低 IT 成本,提升运维效率,使您更专注于核心业务创新。

推荐文章
相似问题